> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eis.it/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eis.it/_mcp/server.

# Riordina Immagini Prodotto

POST https://api.eis.it/v1/images/products/reorder
Content-Type: application/json

Aggiorna la posizione di una o più immagini per un prodotto specifico.

Reference: https://docs.eis.it/api/reference/daa-s-products/reorder-product-images

## Servers

- `https://api.eis.it` (Production server, default)
- `https://staging.api.eis.it` (Staging server)

## Request

### Body (application/json)

- `imagesProduct` (list of object, required) — Array di oggetti che definiscono l'ID dell'immagine e la sua nuova posizione.
  - `id` (long, optional) — L'ID univoco dell'immagine.
  - `position` (integer, optional) — La nuova posizione dell'immagine (a partire da 1).
- `productId` (long, required) — L'ID del prodotto le cui immagini devono essere riordinate.

## Response

### 200

Immagini riordinate con successo

## Examples

**Request**

```json
{
  "imagesProduct": [
    {}
  ],
  "productId": 1
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.eis.it/v1/images/products/reorder"

payload = {
    "imagesProduct": [{}],
    "productId": 1
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.eis.it/v1/images/products/reorder';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"imagesProduct":[{}],"productId":1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.eis.it/v1/images/products/reorder"

	payload := strings.NewReader("{\n  \"imagesProduct\": [\n    {}\n  ],\n  \"productId\": 1\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.eis.it/v1/images/products/reorder")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"imagesProduct\": [\n    {}\n  ],\n  \"productId\": 1\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.eis.it/v1/images/products/reorder")
  .header("Content-Type", "application/json")
  .body("{\n  \"imagesProduct\": [\n    {}\n  ],\n  \"productId\": 1\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.eis.it/v1/images/products/reorder', [
  'body' => '{
  "imagesProduct": [
    {}
  ],
  "productId": 1
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.eis.it/v1/images/products/reorder");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"imagesProduct\": [\n    {}\n  ],\n  \"productId\": 1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "imagesProduct": [[]],
  "productId": 1
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.eis.it/v1/images/products/reorder")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```